<?php
/*
Plugin Name: Tooltip Example
Plugin URI: http://planetozh.com/blog/
Description: Example plugin using WordPress 2.5 built-in tooltips
Author: Ozh
Author URI: http://planetozh.com/
*/

add_action('admin_menu', 'ttexample_add_page');

function ttexample_add_page() {
    // Add a new submenu under Options:
    add_options_page('Tooltip Example', 'Tooltip Example', 8, 'tooltipexample', 'ttexample_page');
}

function ttexample_page() {
	echo <<<HTML
	<style type="text/css">
	span.givemetips {
		background:#ddd;
		padding:2px;
		border:1px solid #666;
		font-size:70%;
	}
	</style>
	
	<div class="wrap">
	<h2>Tooltip Example</h2>
	<p>Hover over the little question mark <span title='Hello, I am a tip!' class='givemetips'>?</span></p>
	<p>Now over the little icon: <img src="../wp-includes/images/smilies/icon_question.gif" alt="this attribute will be removed" title="Wow, an image!" class='givemetips' /></p>
	<p>It doesn't really fit with too wide images:<br/><img src="images/wordpress-logo.png" title="Doesn't really looks awesome on wide images" class="givemetips" /></p>
	<h2>Source of the above:</h2>
<pre>
&lt;span title="Hello, I am a tip!" class="givemetips">?&lt;/span>
&lt;img src="icon_question.gif" alt="this attribute won't show" title="Wow, an image!" class='givemetips' />

&lt;script type="text/javascript">
jQuery(document).ready( function() {
	jQuery('.givemetips').tTips(); // tooltipize title attributes of elements with class "givemetips"
});
&lt;/script>
</pre>
	</div>
	
	<script type="text/javascript">
	jQuery(document).ready( function() {
		jQuery('.givemetips').tTips();
	});
	</script>
	
HTML;

	
}

?>